Board logo

标题: This iPhone 6 is running iOS 10.3 (14E277) Xcode not support [打印本页]

作者: YuLimin    时间: 2017-4-5 08:46     标题: This iPhone 6 is running iOS 10.3 (14E277) Xcode not support

This iPhone 6 is running iOS 10.3 (14E277), which may not be supported by this version of Xcode.

iPhon 6升级到了10.3后,原来的Version 8.2.1 (8C1002)要运行之前的程序,不支持了,又需要升级Xcode了

升级到Xcode 8.3版本才行,兼容: macOS 10.12或更高版本

Xcode 8.3
Includes macOS, iOS, watchOS, and tvOS SDKs.
https://developer.apple.com/download/

原因:由于Xcode 8.2.1没有10.3 iOS的支持环境
ls /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport
可列表所有的支持设备
10.0                10.1                10.2 (14C89)        8.0                8.1                8.2                8.3                8.4                9.0                9.1                9.2                9.3

想来一个权宜之计
ln -s "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/10.2 (14C89)" /Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/10.3

但是仍然报错
An error was encountered while enabling development on this device.
Please try rebooting and reconnecting the device. (0xE8000076)

于是重启之,还是报同样的错误,于是只能升级了!

[ 本帖最后由 YuLimin 于 2017-4-5 08:54 编辑 ]
作者: YuLimin    时间: 2017-4-5 15:24

重新安装后,发现是 10.3 (14E269) 的目录

再次检查原贴时发现,目标多了一个-beta
ln -s "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/10.2 (14C89)" /Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport/10.3

要不然,权宜之计可能还是可以起作用的???




欢迎光临 Java2Class (http://www.java2class.net/bbs/) Powered by Discuz! 6.1.0